services:

# Form type.
    kms_froala_editor.form.type:
        class: "KMS\\FroalaEditorBundle\\Form\\Type\\FroalaEditorType"
        arguments: [ "@kernel", "@service_container", "@kms_froala_editor.option_manager", "@kms_froala_editor.plugin_provider" ]
        tags:
            - { name: "form.type", alias: "froala" }

# Plugin provider.
    kms_froala_editor.option_manager:
        class: "KMS\\FroalaEditorBundle\\Service\\OptionManager"
        arguments: [ "@router" ]

# Plugin provider.
    kms_froala_editor.plugin_provider:
        class: "KMS\\FroalaEditorBundle\\Service\\PluginProvider"

# Media manager.
    kms_froala_editor.media_manager:
        class: "KMS\\FroalaEditorBundle\\Service\\MediaManager"

# Twig extension.
    kms_froala_editor.froala_extension:
        class: "KMS\\FroalaEditorBundle\\Twig\\FroalaExtension"
        arguments: [ "@service_container" ]
        tags:
            - { name: twig.extension }